Bug 13373 - Update Polish web installer sample data files
Summary: Update Polish web installer sample data files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Rafal Kopaczka
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-02 13:12 UTC by Rafal Kopaczka
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13373 - Update Polish web installer sample data files. (23.17 KB, patch)
2014-12-02 14:28 UTC, Rafal Kopaczka
Details | Diff | Splinter Review
Bug 13373 - Update Polish web installer sample data files. (15.00 KB, patch)
2014-12-02 14:28 UTC, Rafal Kopaczka
Details | Diff | Splinter Review
Bug 13373 - Update Polish web installer sample data files. (23.22 KB, patch)
2014-12-21 09:45 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13373 - Update Polish web installer sample data files. (15.04 KB, patch)
2014-12-21 09:45 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13373 - Update Polish web installer sample data files. (23.22 KB, patch)
2015-01-20 10:18 UTC, Rafal Kopaczka
Details | Diff | Splinter Review
Bug 13373 - Update Polish web installer sample data files. (15.04 KB, patch)
2015-01-20 10:18 UTC, Rafal Kopaczka
Details | Diff | Splinter Review
Bug 13373 - [QA Followup] - Update Polish web installer sample data files (1.93 KB, patch)
2015-01-20 10:18 UTC, Rafal Kopaczka
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13373 - Update Polish web installer sample data files. (23.29 KB, patch)
2015-01-20 22:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13373 - Update Polish web installer sample data files. (15.10 KB, patch)
2015-01-20 22:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13373 - [QA Followup] - Update Polish web installer sample data files (2.00 KB, patch)
2015-01-20 22:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13373 - Update Polish web installer sample data files. (23.29 KB, patch)
2015-01-20 22:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13373 - Update Polish web installer sample data files. (15.10 KB, patch)
2015-01-20 22:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13373 - [QA Followup] - Update Polish web installer sample data files (2.00 KB, patch)
2015-01-20 22:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - Update Polish web installer sample data files. (23.34 KB, patch)
2015-01-23 12:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - Update Polish web installer sample data files. (15.17 KB, patch)
2015-01-23 12:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - [QA Followup] - Update Polish web installer sample data files (2.04 KB, patch)
2015-01-23 12:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - Update Polish web installer sample data files. (23.34 KB, patch)
2015-01-23 13:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - Update Polish web installer sample data files. (15.17 KB, patch)
2015-01-23 13:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - [QA Followup] - Update Polish web installer sample data files (2.04 KB, patch)
2015-01-23 13:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - Update Polish web installer sample data files. (23.34 KB, patch)
2015-01-23 13:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 [1/2] - Update Polish web installer sample data files. (23.35 KB, patch)
2015-01-23 13:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 [2/2] - Update Polish web installer sample data files. (15.17 KB, patch)
2015-01-23 13:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13373 - [QA Followup] - Update Polish web installer sample data files (2.04 KB, patch)
2015-01-23 13:07 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Rafal Kopaczka 2014-12-02 13:12:04 UTC
There's polish web installer files, but it seems that they are very outdated, and this may cause problems after install. I'll try to update it, and translate some of it.
Comment 1 Rafal Kopaczka 2014-12-02 14:28:31 UTC Comment hidden (obsolete)
Comment 2 Rafal Kopaczka 2014-12-02 14:28:50 UTC Comment hidden (obsolete)
Comment 3 Rafal Kopaczka 2014-12-02 14:32:18 UTC
I'm not sure if splitting this patch is necessary, but squashing should be easy.
Comment 4 Chris Cormack 2014-12-21 09:45:22 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2014-12-21 09:45:49 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-12-27 13:24:39 UTC
Comment on attachment 34612 [details] [review]
Bug 13373 - Update Polish web installer sample data files.

Review of attachment 34612 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/pl-PL/mandatory/system_preferences.sql
@@ -16,5 @@
> --- with Koha; if not, write to the Free Software Foundation, Inc.,
> --- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
> -
> -UPDATE systempreferences SET value = 'father|mother' where variable = 'borrowerRelationship';
> -UPDATE systempreferences SET value = 'Mr|Mrs|Miss|Ms' where variable = 'BorrowersTitles';

Hi Rafal,
thx for updating the Polish web installer! 

The system_preferences.sql can be used to set some language specific defaults - you could translate father|mother and the titles using those files in the future and maybe also set some other prefs, like DateFormat. Just a hint for the future :)
Comment 7 Katrin Fischer 2014-12-27 13:31:54 UTC
Hi Rafal,

running the Polish (pl-PL) web installer with all sample data selected I see some SQL errors:

marc21_simple_bib_frameworks.sql
ERROR 1062 (23000) at line 4090: Duplicate entry 'CF-952-i' for key 'PRIMARY'
parameters.sql
patron_categories.sql
sample_budgets.sql
ERROR 1146 (42S02) at line 1: Table 'koha.aqbudget' doesn't exist
sample_holidays.sql
sample_itemtypes.sql
sample_labels.sql
ERROR 1146 (42S02) at line 2: Table 'koha.labels_templates' doesn't exist 
sample_notices.sql
ERROR 1452 (23000) at line 1: Cannot add or update a child row: a foreign key constraint fails (`koha`.`letter`, CONSTRAINT `message_transport_type_fk` FOREIGN KEY (`message_transport_type`) REFERENCES `message_transport_types` (`message_transport_type`) ON DELETE CASCADE ON UPDATE CASCA)
sample_notices_message_attributes.sql
sample_notices_message_transports.sql
ERROR 1452 (23000) at line 1: Cannot add or update a child row: a foreign key constraint fails (`koha`.`message_transports`, CONSTRAINT `message_transports_ibfk_3` FOREIGN KEY (`letter_module`, `letter_code`, `branchcode`) REFERENCES `letter` (`module`, `code`, `branchcode`) ON DELETE CA)
sample_numberpatterns.sql
stopwords.sql
system_preferences.sql
userflags.sql
userpermissions.sql
ERROR 1062 (23000) at line 1: Duplicate entry '16-execute_reports' for key 'PRIMARY'
Comment 8 Rafal Kopaczka 2015-01-20 10:18:21 UTC Comment hidden (obsolete)
Comment 9 Rafal Kopaczka 2015-01-20 10:18:29 UTC Comment hidden (obsolete)
Comment 10 Rafal Kopaczka 2015-01-20 10:18:35 UTC Comment hidden (obsolete)
Comment 11 Rafal Kopaczka 2015-01-20 10:24:17 UTC
Hi Katrin,

thanks for testing. I've could replicate only one issue: "ERROR 1062 (23000) at line 4090: Duplicate entry 'CF-952-i' for key 'PRIMARY'". It's fixed in followup. 

Other errors are from files, that are deleted in patch. It looks like you have applied only first patch.
Comment 12 Katrin Fischer 2015-01-20 22:25:23 UTC
Hi Rafal, your follow-up works and you were right about the patches, signing off now :)
Comment 13 Katrin Fischer 2015-01-20 22:28:14 UTC Comment hidden (obsolete)
Comment 14 Katrin Fischer 2015-01-20 22:28:31 UTC Comment hidden (obsolete)
Comment 15 Katrin Fischer 2015-01-20 22:28:48 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2015-01-20 22:30:33 UTC Comment hidden (obsolete)
Comment 17 Katrin Fischer 2015-01-20 22:30:38 UTC Comment hidden (obsolete)
Comment 18 Katrin Fischer 2015-01-20 22:30:42 UTC Comment hidden (obsolete)
Comment 19 Kyle M Hall 2015-01-23 12:57:28 UTC Comment hidden (obsolete)
Comment 20 Kyle M Hall 2015-01-23 12:57:35 UTC Comment hidden (obsolete)
Comment 21 Kyle M Hall 2015-01-23 12:57:38 UTC Comment hidden (obsolete)
Comment 22 Kyle M Hall 2015-01-23 13:04:53 UTC Comment hidden (obsolete)
Comment 23 Kyle M Hall 2015-01-23 13:05:00 UTC Comment hidden (obsolete)
Comment 24 Kyle M Hall 2015-01-23 13:05:03 UTC Comment hidden (obsolete)
Comment 25 Kyle M Hall 2015-01-23 13:05:48 UTC Comment hidden (obsolete)
Comment 26 Kyle M Hall 2015-01-23 13:06:56 UTC
Created attachment 35502 [details] [review]
[PASSED QA] Bug 13373 [1/2] - Update Polish web installer sample data files.

Part 1/2 - mandatory files.

Changes:
- Translated user permission and user flags.
- Changed untranslated different files from en version
- Deleted unnecessary files

To test:
- Aplly patch
- Run webinstaller on empty database (drop database if necessary)
- Verify everything works, especially verify you have permission to all
modules, eg. Tools, Catalouging etc.
- Check spelling and grammar if you can :)

Signed-off-by: Chris <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 27 Kyle M Hall 2015-01-23 13:07:06 UTC
Created attachment 35503 [details] [review]
[PASSED QA] Bug 13373 [2/2] - Update Polish web installer sample data files.

Part 2/2 - optional files.

Changes:
- Deleted unnecessary files
- Translated description files and some values in sql files

To test:
- Aplly patch
- Run webinstaller on empty database (drop database and create new if necessary)
- Verify everything works, especially verify you have permission
to all modules, eg. Tools, Catalouging etc.
- Check spelling and grammar if you can :)

Signed-off-by: Chris <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 28 Kyle M Hall 2015-01-23 13:07:09 UTC
Created attachment 35504 [details] [review]
[PASSED QA] Bug 13373 - [QA Followup] - Update Polish web installer sample data files

Fixed "Duplicate entry CF-952-i" error in marc21_simple_bib_frameworks.sql

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 29 Tomás Cohen Arazi 2015-01-26 19:36:54 UTC
Patches pushed to master.

Thanks Rafal!
Comment 30 Chris Cormack 2015-02-04 07:37:35 UTC
Pushed to 3.18.x will be in 3.18.4